Page MenuHomePhabricator

Fix and uncomment the MediaViewer qunit tests which fail in QUnit 2.x+
Open, HighPublic

Description

No-op Jenkins test https://gerrit.wikimedia.org/r/#/c/428666/ fails in qunit with:

15:51:12 SUMMARY:
15:51:12 ✔ 682 tests completed
15:51:12 ✖ 3 tests failed
15:51:12 
15:51:12 FAILED TESTS:
15:51:12   mmv.bootstrap
15:51:12     ✖ Check viewer invoked when clicking on valid image links
15:51:12       Chrome 57.0.2987 (Linux 0.0.0)
15:51:12     setupOverlay was called
15:51:12     Expected: true
15:51:12     Actual: false
15:51:12         at Object.<anonymous> (…)
15:51:12         at runTest (node_modules/qunit/qunit/qunit.js:1478:30)
15:51:12         at Test.run (node_modules/qunit/qunit/qunit.js:1464:6)
15:51:12         at node_modules/qunit/qunit/qunit.js:1670:12
15:51:12         at Object.advance (node_modules/qunit/qunit/qunit.js:1116:26)
15:51:12         at begin (node_modules/qunit/qunit/qunit.js:3059:20)
15:51:12     
15:51:12 
15:51:12     ✖ Accept only left clicks without modifier keys, skip the rest
15:51:12       Chrome 57.0.2987 (Linux 0.0.0)
15:51:12     Overlay was set up
15:51:12     Expected: true
15:51:12     Actual: false
15:51:12         at Object.<anonymous> (…)
15:51:12         at runTest (node_modules/qunit/qunit/qunit.js:1478:30)
15:51:12         at Test.run (node_modules/qunit/qunit/qunit.js:1464:6)
15:51:12         at node_modules/qunit/qunit/qunit.js:1670:12
15:51:12         at Object.advance (node_modules/qunit/qunit/qunit.js:1116:26)
15:51:12         at begin (node_modules/qunit/qunit/qunit.js:3059:20)
15:51:12     
15:51:12 
15:51:12     ✖ Validate new LightboxImage object has sane constructor parameters
15:51:12       Chrome 57.0.2987 (Linux 0.0.0)
15:51:12     Thumbnail URL used in creating new image object
15:51:12     Expected: true
15:51:12     Actual: null
15:51:12         at MultimediaViewer.viewer.createNewImage (…)
15:51:12         at mightThrow (…)
15:51:12         at process (…)
15:51:12         at callTimer (…)

This is blocking general fixes that touch this repo (as well as being a bad sign).

Details

Related Gerrit Patches:
mediawiki/extensions/MultimediaViewer : REL1_31tests: Comment out failing tests
mediawiki/extensions/MultimediaViewer : mastertests: Comment out failing tests

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 24 2018, 4:02 PM
Jdforrester-WMF renamed this task from MediaViewer to MediaViewer qunit tests failing in master.Apr 24 2018, 4:03 PM

The last MultimediaViewer qunit run that passed used mediawiki/core@b2ad5492. I verified on quibble that MMV master + that core commit pass, and it fails with current core master. Then I bisected and ended up with:

83425bd0a89ac8b70688690f35e5d4d66fe7454a is the first bad commit
commit 83425bd0a89ac8b70688690f35e5d4d66fe7454a
Author: Timo Tijhof <krinklemail@gmail.com>
Date:   Mon Apr 23 16:32:50 2018 +0100

    build: Switch QUnit package from deprecated 'qunitjs' to 'qunit'
    
    This should fix the deprecation warning from npm in CI logs.
    
    Change-Id: I5d02dd8d6a86123d7935db51b8d0b5d88218869f

:100644 100644 a282d6931bda48a3ef879a1c1d5586cc3c6e4bf1 03fd7a86b09b4b89f9824e7b4a753847500028b1 M	package.json

Tagging as a 1.31 blocker since the offending commit was backported.

Change 430644 had a related patch set uploaded (by Krinkle; owner: Jforrester):
[mediawiki/extensions/MultimediaViewer@master] tests: Be explicit about which call fails in mmv.bootstrap click checks

https://gerrit.wikimedia.org/r/430644

Ramsey-WMF moved this task from Untriaged to Tracking on the Multimedia board.May 7 2018, 5:01 PM

Change 430644 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@master] tests: Comment out failing tests

https://gerrit.wikimedia.org/r/430644

Change 432642 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/MultimediaViewer@REL1_31] tests: Comment out failing tests

https://gerrit.wikimedia.org/r/432642

Jdforrester-WMF triaged this task as High priority.May 11 2018, 7:58 PM

OK, so the failing test are commented out now, so this no longer blocks the release of MediaWiki 1.31; keep this task open until they're fixed, however.

Jdforrester-WMF renamed this task from MediaViewer qunit tests failing in master to Fix and uncomment the MediaViewer qunit tests which fail in QUnit 2.x+.May 11 2018, 7:59 PM

Change 432642 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@REL1_31] tests: Comment out failing tests

https://gerrit.wikimedia.org/r/432642

Krinkle updated the task description. (Show Details)May 12 2018, 12:40 AM
Vvjjkkii renamed this task from Fix and uncomment the MediaViewer qunit tests which fail in QUnit 2.x+ to 3beaaaaaaa.Jul 1 2018, 1:14 AM
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Mainframe98 renamed this task from 3beaaaaaaa to Fix and uncomment the MediaViewer qunit tests which fail in QUnit 2.x+.Jul 1 2018, 7:56 AM
Mainframe98 updated the task description. (Show Details)
Mainframe98 added subscribers: gerritbot, Aklapper.